Status: Rejected

Priority: Normal

Assignee: Daniel Lobato Garcia
Category: Compute resources - libvirt

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/3205
Description

When you try to boot a VM with libvirt and cloud-init provisioning, libvirt will make a initial .iso file to be provided during the VM
booting process.
This .iso file is created wherever the main volume for the VM is created (storage-pool-path/cloud-init-data.iso).

Fog-libvirt sets iso_dir for all VMs to '/var/lib/libvirt/images' as the default location to fetch the cloud-init .iso.

Foreman will try to use this directory when creating the VM as the location for cloud-init.

However, that may not be right if the storage-pool is not the default one. In my case, | run my libvirt VMs from an external hard-drive,
so Foreman needs to understand the iso_dir will be the external hard-drive storage pool, not the default /var/lib/libvirt/images.

Fix is simple, just set iso_dir during the VM creation process.

History

#1 - 02/17/2016 03:43 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Daniel Lobato Garcia

- Pull request https://github.com/theforeman/foreman/pull/3205 added

#2 - 03/28/2016 10:52 AM - Daniel Lobato Garcia

Closed in favor of a fix in fog-libvirt that's more appropriate - https:/github.com/fog/fog-libvirt/pull/20

#3 - 03/29/2016 03:19 AM - Dominic Cleal
- Status changed from Ready For Testing to Rejected

Closing this ticket, we'll track it in fog-libvirt only.
